%global momorel 1
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 9ae1540e91a4aeef0f71b28cf02c7869

Summary: Provides a full screen view of all open windows
Name: kompose
Version: 0.5.4
Release: %{momorel}m%{?dist}
License: GPL
URL: http://kompose.berlios.de/
Group: User Interface/Desktops
%NoSource 0 http://download.berlios.de/kompose/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1: admin.tar.bz2
Patch0: %{name}-0.5.3-desktop.patch
Patch1: %{name}-%{version}-iconsdir.patch
Patch2: %{name}-%{version}-correct-version.patch
Patch3: %{name}-%{version}-ktoolbar-patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}, imlib2
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: imlib2-devel
BuildPreReq: autoconf, automake, libtool

%description
Kompose currently allows a fullscreen view of all your virtual desktops where
every window is represented by a scaled screenshot of it's own.

The Composite extension is used if available from the X server.

%prep
%setup -q

# build fix
rm -rf admin
tar xf %{SOURCE1}

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .iconsdir
%patch2 -p1 -b .version
%patch3 -p0 -b .ktoolbar

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# move desktop file
mkdir -p %{buildroot}%{_datadir}/applications/kde
mv -f %{buildroot}%{_datadir}/applnk/Utilities/kompose.desktop %{buildroot}%{_datadir}/applications/kde/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/kompose
%{_datadir}/applications/kde/kompose.desktop
%{_datadir}/apps/kompose
%{_datadir}/doc/HTML/*/kompose
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/kompose.mo

%changelog
* Wed Mar 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4-1m)
- version 0.5.4
- import kompose-0.5.4-ktoolbar-patch from gentoo-x86-portage
 +- 09 Aug 2006; Carsten Lohrke <carlo@gentoo.org>
 +- +files/kompose-0.5.4-ktoolbar-patch, +kompose-0.5.4.ebuild:
 +- Version bump. Thanks to Tobias Roeser for the patch, bug #125209.
- replace admin for new autotools
- update iconsdir.patch
- add correct-version.patch

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-8m)
- use md5sum_src0

* Mon Sep 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-7m)
- update desktop.patch
- good-bye desktop-file-utils

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-6m)
- rebuild against kdelibs-3.5.4-3m

* Wed Apr 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-5m)
- add X-KDE-Utilities-Desktop to Categories of kompose.desktop
- update desktop.patch

* Sun Feb 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-4m)
- add enable_gcc_check_and_hidden_visibility switch

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-3m)
- rebuild against KDE 3.5 RC1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-2m)
- add --disable-rpath to configure

* Sun Jul 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-1m)
- version 0.5.3
- add desktopfile.patch

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2-0.1.1m)
- update to version 0.5.2_beta1
- modify spec file
- add iconsdir.patch
- BuildPreReq: desktop-file-utils

* Tue Jan 25 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.5.1-1m)
- first import
